Subject: Re: [RFC][PATCH 8/9] 3c59x driver conversion

From: Jeff Garzik <[email-masked]>
Date: Sun, 13 Aug 2006 15:53:50 -0400

Daniel Phillips wrote:
> That is why it has not yet been submitted upstream.  Respectfully, I
> do not think that jgarzik has yet put in the work to know if this anti
> deadlock technique is reasonable or not, and he was only commenting
> on some superficial blemish.  I still don't get his point, if there
> was one.  He seems to be arguing in favor of a jump-off-the-cliff
> approach to driver conversion.  If he wants to do the work and take
> the blame when some driver inevitably breaks because of being edited
> in a hurry then he is welcome to submit the necessary additional
> patches.  Until then, there are about 3 nics that actually matter to
> network storage at the moment, all of them GigE.

Quite whining and blaming the reviewer for a poor approach.

A "this driver is sane, VM-wise" flag is just plain stupid, and clearly 
fragments drivers.

In Linux, "temporary flags"... aren't.

	Jeff